# Screen orientation set

An action block that sets screen orientation.

The fiber will proceed immediately without pause.

The screen orientation will only remain for as long as the fiber is running. To persistently change user preferred screen orientation use the System setting set block with System category, User rotation name and value 0, 1 (90°), 2 (180°) or 3 (270°).

Caution! An app, including the launcher, may crash if forced in an orientation it doesn’t support. May not work on the lock screen.

Note! This feature isn’t officially supported, may not work on all devices.

## Input arguments

- Orientation — screen orientation, default is Unspecified.